## kinfocenter 5.20.5

=== CMakeLists.txt ===
project(kinfocenter)
set(PROJECT_VERSION "5.20.5")

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.15.0")

set(KF5_MIN_VERSION "5.74")
find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(KDEClangFormat)
include(ECMQMLModules)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DocTools
    I18n
    IconThemes
    KCMUtils
    KIO
    Service
    Solid
    WidgetsAddons
    WindowSystem
    XmlGui
    Declarative
    Package
    Solid
)

if(${Qt5Gui_OPENGL_IMPLEMENTATION} STREQUAL "GL")
    find_package(OpenGL)
    set_package_properties(OpenGL PROPERTIES DESCRIPTION "The OpenGL libraries"
                        URL "https://www.opengl.org"
                        TYPE OPTIONAL
                        )
else()
    find_package(OpenGLES)
    set_package_properties(OpenGLES PROPERTIES DESCRIPTION "The OpenGLES libraries"
                        URL "https://www.khronos.org/opengles"
                        TYPE OPTIONAL
                        )
endif()

find_package(EGL)
set_package_properties(EGL PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Required for OpenGL Information Module"
                      )

find_package(KF5Wayland CONFIG)
set_package_properties(KF5Wayland PROPERTIES
                       TYPE OPTIONAL
                      )
add_feature_info("KF5Wayland" KF5Wayland_FOUND "Required for Wayland Compositor Information Module")

find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
    URL "https://www.x.org"
    TYPE OPTIONAL
    PURPOSE "Required for building the X11 based workspace"
)
if(X11_FOUND)
    set(HAVE_X11 TRUE)
endif()

ecm_find_qmlmodule(org.kde.kirigami 2.5)

find_package(SystemSettings QUIET)
set_package_properties(SystemSettings PROPERTIES
    DESCRIPTION "Plasma's SystemSettings"
    TYPE RUNTIME
    PURPOSE "Absolutely required because the KInfoCenter binary is a symlink to it!"
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_KEYWORDS)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)

configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)

add_subdirectory( Categories )
add_subdirectory( kcontrol/menus )
add_subdirectory( Modules )
include(ECMOptionalAddSubdirectory)
ecm_optional_add_subdirectory( doc )


# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

##install

install( FILES org.kde.kinfocenter.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install( PROGRAMS org.kde.kinfocenter.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )

ADD_CUSTOM_TARGET(kinfocenter_link ALL
                  COMMAND ${CMAKE_COMMAND} -E create_symlink ${KDE_INSTALL_FULL_BINDIR}/systemsettings5 ${CMAKE_CURRENT_BINARY_DIR}/kinfocenter)

install( FILES ${CMAKE_CURRENT_BINARY_DIR}/kinfocenter DESTINATION ${KDE_INSTALL_FULL_BINDIR}/ )

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== Categories/CMakeLists.txt ===

install( FILES kinfocentercategory.desktop DESTINATION  ${SERVICETYPES_INSTALL_DIR} )

install( FILES deviceinfocategory.desktop graphicalinfocategory.desktop networkinfocategory.desktop lostfoundcategory.desktop basicinformation.desktop detailedinformation.desktop
         DESTINATION  ${SERVICES_INSTALL_DIR} )

=== Modules/CMakeLists.txt ===

add_subdirectory( about-distro )
add_subdirectory( usbview )
add_subdirectory( memory )
add_subdirectory( devinfo )
add_subdirectory( info )

add_subdirectory( samba )
add_subdirectory( nics )

set(KCM_ENABLE_OPENGL FALSE)
set(KCM_ENABLE_OPENGLES FALSE)
if(OPENGL_FOUND AND OPENGL_GLU_FOUND AND (${Qt5Gui_OPENGL_IMPLEMENTATION} STREQUAL "GL"))
    set(KCM_ENABLE_OPENGL TRUE)
endif()
if(OPENGLES_FOUND AND (${Qt5Gui_OPENGL_IMPLEMENTATION} STREQUAL "GLESv2"))
    set(KCM_ENABLE_OPENGLES TRUE)
endif()
set(KCM_HAVE_GLX ${KCM_ENABLE_OPENGL})
set(KCM_HAVE_EGL ${EGL_FOUND})

if(${Qt5Gui_OPENGL_IMPLEMENTATION} STREQUAL "GL")
    add_feature_info("OpenGL support" OPENGL_FOUND "View OpenGL details in kinfocenter." )
    add_feature_info("OpenGL Utility Library (GLU)" OPENGL_GLU_FOUND "Required for OpenGL details in kinfocenter." )
endif()

if(${Qt5Gui_OPENGL_IMPLEMENTATION} STREQUAL "GLESv2")
    add_feature_info("OpenGL/ES support" KCM_ENABLE_OPENGLES "View OpenGL ES2.0 details in kinfocenter." )
endif()

if(KCM_ENABLE_OPENGL OR KCM_ENABLE_OPENGLES)
    add_subdirectory( opengl )
else()
    message(STATUS "OpenGL/ES2.0 information module has been disabled.")
endif()

find_package(PCIUTILS MODULE)
set_package_properties(PCIUTILS PROPERTIES DESCRIPTION "PciUtils is a library for direct access to PCI slots"
                       URL "https://mj.ucw.cz/sw/pciutils"
                       TYPE OPTIONAL
                       PURPOSE "View PCI details in kinfocenter."
                      )

# PCI module doesn't work on Linux arm64, nor on MacOS, but does on
# FreeBSD arm64, so this is a bit of a tangle of what-is-supported.
set(_want_pci ON)
if(${CMAKE_SYSTEM_PROCESSOR} MATCHES "arm" OR ${CMAKE_SYSTEM_PROCESSOR} MATCHES "aarch64")
    if (${CMAKE_SYSTEM} MATCHES "FreeBSD")
        message(STATUS "FreeBSD arm64 pci support enabled.")
    else()
        set(_want_pci OFF)
    endif()
endif()

if(_want_pci)
    add_subdirectory( pci )
endif()

find_package(RAW1394 MODULE)
set_package_properties(RAW1394 PROPERTIES DESCRIPTION "library for direct access to IEEE 1394 bus"
                       URL "https://ieee1394.wiki.kernel.org/index.php/Main_Page"
                       TYPE OPTIONAL
                       PURPOSE "View FireWire devices in kinfocenter."
                      )

if(RAW1394_FOUND)
   add_subdirectory( view1394 )
endif()

if (CMAKE_SYSTEM_NAME MATCHES Linux)
    add_subdirectory(energy)
    add_subdirectory(fileindexermonitor)
endif()

=== Modules/nics/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmnic\")

include(CheckSymbolExists)
include(CheckStructHasMember)
include(CheckFunctionExists)

check_include_files(sys/sockio.h HAVE_SYS_SOCKIO_H) # nic.cpp
check_symbol_exists(getnameinfo   "sys/socket.h;netdb.h" HAVE_GETNAMEINFO) # nic.cpp
check_struct_has_member("struct sockaddr" "sa_len" "sys/socket.h" HAVE_STRUCT_SOCKADDR_SA_LEN) # nic.cpp
check_function_exists(getifaddrs  HAVE_GETIFADDRS)  # nic.cpp

configure_file (config-nic.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-nic.h )



########### next target ###############

set(kcm_nic_PART_SRCS nic.cpp )


add_library(kcm_nic MODULE ${kcm_nic_PART_SRCS})


target_link_libraries(kcm_nic KF5::KCMUtils KF5::I18n KF5::CoreAddons )

install(TARGETS kcm_nic  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES nic.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== Modules/samba/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmsamba\")

set(kcm_samba_PART_SRCS
    smbmountmodel.cpp
    ksambasharemodel.cpp
)

# Intermediate lib for use in testing.
add_library(kcm_samba_static STATIC ${kcm_samba_PART_SRCS})
target_link_libraries(kcm_samba_static
    KF5::KIOCore
    KF5::Solid
    KF5::I18n
    KF5::I18n
    KF5::KCMUtils
)

add_library(kcm_samba MODULE main.cpp)
target_link_libraries(kcm_samba
    kcm_samba_static
)

install(TARGETS kcm_samba DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES smbstatus.desktop DESTINATION ${SERVICES_INSTALL_DIR})

add_subdirectory(autotests)

=== debian/changelog ===
kinfocenter (4:5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:51 +0900

kinfocenter (4:5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:36 +0900

kinfocenter (4:5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:31 +0900

kinfocenter (4:5.19.5-4) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 09:01:21 +0900

kinfocenter (4:5.19.5-3) experimental; urgency=medium

  [ Scarlett Moore ]
  * Add find empty dir and delete them to dh_install override
    in rules to fix empty dir lintian error.
  * Remove files from d/copyright that no longer exist.

 -- Norbert Preining <norbert@preining.info>  Wed, 04 Nov 2020 05:41:54 +0900

kinfocenter (4:5.19.5-2) experimental; urgency=medium

  [ Scarlett Moore ]
   - Add missing copyright information from all files.
   - Follow closely to updated KDE License policy and update license
     text and short names.
  * Update lintian-override for manual page name change.
  * Add maint options for hardening=+all.
  * Refresh upstream/metadata.
    - Remove obsolete fields already defined in d/copyright.
    - Update repository info to point to invent.kde.org repo.
    - Add new bug-database entry.
    - Update changelog to point to announcements page.
  * Fix "should recommend or suggest samba"
    Add samba to suggests. (Closes: #953187)

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 11:16:42 +0900

kinfocenter (4:5.19.5-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.19.5).
  * Refresh copyright file with latest copyright info.

  [ Norbert Preining ]
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 20 Oct 2020 07:33:39 +0900

kinfocenter (4:5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * New upstream release (5.18.5).
  * Update build-deps and deps with the info from cmake.

  [ Norbert Preining ]
  * New upstream release (5.19.4).
  * Update Qt build-deps with the info from cmake.

  [ Pino Toscano ]
  * The IEEE 1394 KCM can natively read the oui.txt file natively, so there is
    no more need to provide an updated oui.db instead of the very old bundled
    one; hence:
    - drop our custom oui.db symlink in kinfocenter
    - stop generating an own /var/lib/ieee-data/kinfocenter_oui.db from
      ieee-data
    - drop our kinfocenter_oui.sh script
    - remove /var/lib/ieee-data/kinfocenter_oui.db on upgrades only

 -- Pino Toscano <pino@debian.org>  Sun, 30 Aug 2020 19:35:19 +0200

kinfocenter (4:5.17.5-3) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * kinfocenter_oui.sh: handle CRLF newlines, so there are no spurious \r
    at the end of the vendor names.

  [ Scarlett Moore ]
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * Add myself to Uploaders.
  * Remove not needed injection of linker flags.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set/Update field Upstream-Contact in debian/copyright.

  [ Norbert Preining ]
  * Remove Maximiliano from Uploaders as requested on IRC.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.

 -- Pino Toscano <pino@debian.org>  Sun, 30 Aug 2020 18:17:43 +0200

kinfocenter (4:5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 21:45:41 +0100

kinfocenter (4:5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Update build-deps and deps with the info from cmake

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.62.0
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Stop symlinking usb.ids to the private data directory, as now
    /usr/share/misc/usb.ids can be used directly.
  * Drop the kde-l10n breaks/replaces, no more needed after two Debian stable
    releases.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jan 2020 09:57:32 +0100

=== debian/control ===
Source: kinfocenter
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.74~),
               gettext,
               libegl1-mesa-dev,
               libkf5completion-dev (>= 5.74~),
               libkf5config-dev (>= 5.74~),
               libkf5configwidgets-dev (>= 5.74~),
               libkf5coreaddons-dev (>= 5.74~),
               libkf5crash-dev (>= 5.74~),
               libkf5dbusaddons-dev (>= 5.74~),
               libkf5declarative-dev (>= 5.74~),
               libkf5doctools-dev (>= 5.74~),
               libkf5i18n-dev (>= 5.74~),
               libkf5iconthemes-dev (>= 5.74~),
               libkf5kcmutils-dev (>= 5.74~),
               libkf5kio-dev (>= 5.74~),
               libkf5package-dev (>= 5.74~),
               libkf5service-dev (>= 5.74~),
               libkf5solid-dev (>= 5.74~),
               libkf5wayland-dev (>= 4:5.4.1~) [linux-any],
               libkf5widgetsaddons-dev (>= 5.74~),
               libkf5windowsystem-dev (>= 5.74~),
               libkf5xmlgui-dev (>= 5.74~),
               libpci-dev,
               libraw1394-dev [linux-any],
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qml-module-org-kde-kirigami2,
               qtbase5-dev (>= 5.15.0~)
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/kinfocenter
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kinfocenter
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kinfocenter.git
Rules-Requires-Root: no

Package: kinfocenter
Architecture: any
Depends: ieee-data,
         plasma-workspace (>= 4:5.14),
         qml-module-org-kde-kirigami2,
         usb.ids,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: samba
Description: system information viewer
 The kinfocenter provides you with a centralized and convenient
 overview of your system and desktop environment.
 .
 The information center is made up of multiple modules.  Each module is a
 separate application, but the information center organizes all of these
 programs into a convenient location.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_install:
ifeq ($(DEB_HOST_ARCH_OS),linux)
	rm debian/kinfocenter/usr/share/kcmview1394/oui.db
endif
	rm debian/kinfocenter/usr/share/kcmusb/usb.ids
	find debian/kinfocenter/usr/share -type d -empty -delete
	dh_install

## kinfocenter 5.21.4

=== debian/changelog ===
kinfocenter (4:5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:09:13 +0100

kinfocenter (4:5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:33:11 +0000

kinfocenter (4:5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:12:10 +0000

kinfocenter (4:5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:05:43 +0000

kinfocenter (4:5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:21:24 +0000

kinfocenter (4:5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:44:26 +0000

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
                qml-module-org-kde-kirigami2,
-               qtbase5-dev (>= 5.15.0~)
+               qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.5.0
 Homepage: https://invent.kde.org/plasma/kinfocenter
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kinfocenter

## kinfocenter 5.22.5

=== debian/changelog ===
kinfocenter (4:5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:46:42 +0200

kinfocenter (4:5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:42:31 +0100

kinfocenter (4:5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:05:56 +0100

kinfocenter (4:5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:52:30 +0100

kinfocenter (4:5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:57:35 +0100

kinfocenter (4:5.22.1-0ubuntu1) impish; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Add libusb-1.0-0-dev to build depends.

  [ Rik Mills ]
  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:09:32 +0100

kinfocenter (4:5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)
  * debian/rules no longer needs to handle oui.db and usb.ids - they
    went away

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 11:53:09 +0100

kinfocenter (4:5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)
  * debian/control: For now do not use arch: linux-any

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:02:06 +0100

=== debian/control ===
Source: kinfocenter
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.82.0~),
               gettext,
               libegl1-mesa-dev,
               libkf5completion-dev (>= 5.82.0~),
               libkf5config-dev (>= 5.82.0~),
               libkf5configwidgets-dev (>= 5.82.0~),
               libkf5coreaddons-dev (>= 5.82.0~),
               libkf5crash-dev (>= 5.82.0~),
               libkf5dbusaddons-dev (>= 5.82.0~),
               libkf5declarative-dev (>= 5.82.0~),
               libkf5doctools-dev (>= 5.82.0~),
               libkf5i18n-dev (>= 5.82.0~),
               libkf5iconthemes-dev (>= 5.82.0~),
               libkf5kcmutils-dev (>= 5.82.0~),
               libkf5kio-dev (>= 5.82.0~),
               libkf5package-dev (>= 5.82.0~),
               libkf5service-dev (>= 5.82.0~),
               libkf5solid-dev (>= 5.82.0~),
               libkf5wayland-dev (>= 4:5.82.0~),
               libkf5widgetsaddons-dev (>= 5.82.0~),
               libkf5windowsystem-dev (>= 5.82.0~),
               libkf5xmlgui-dev (>= 5.82.0~),
               libpci-dev,
               libraw1394-dev,
               libusb-1.0-0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qml-module-org-kde-kirigami2,
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/kinfocenter
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kinfocenter
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kinfocenter.git
Rules-Requires-Root: no

Package: kinfocenter
Architecture: any
Depends: ieee-data,
         plasma-workspace (>= 4:5.14),
         qml-module-org-kde-kirigami2,
         usb.ids,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: samba
Description: system information viewer
 The kinfocenter provides you with a centralized and convenient
 overview of your system and desktop environment.
 .
 The information center is made up of multiple modules.  Each module is a
 separate application, but the information center organizes all of these
 programs into a convenient location.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_install:
	find debian/kinfocenter/usr/share -type d -empty -delete
	dh_install

## kinfocenter 5.24.4

=== CMakeLists.txt ===
project(kinfocenter)
set(PROJECT_VERSION "5.24.4")

cmake_minimum_required(VERSION 3.16)
set(QT_MIN_VERSION "5.15.0")

set(KF5_MIN_VERSION "5.74")
find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(KDEClangFormat)
include(ECMQMLModules)
include(KDEGitCommitHooks)
include(ECMSetupQtPluginMacroNames)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    DocTools
    I18n
    KCMUtils
    KIO
    Service
    Solid
    WidgetsAddons
    Declarative
    Package
    Solid
)

ecm_find_qmlmodule(org.kde.kirigami 2.5)

find_package(SystemSettings QUIET)
set_package_properties(SystemSettings PROPERTIES
    DESCRIPTION "Plasma's SystemSettings"
    TYPE RUNTIME
    PURPOSE "Absolutely required because the KInfoCenter binary is a symlink to it!"
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_KEYWORDS)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)

add_subdirectory( Categories )
add_subdirectory( kcontrol/menus )
add_subdirectory( Modules )
add_subdirectory(src)

include(ECMOptionalAddSubdirectory)
ecm_optional_add_subdirectory( doc )

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

##install

install( FILES org.kde.kinfocenter.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install( PROGRAMS org.kde.kinfocenter.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )

ADD_CUSTOM_TARGET(kinfocenter_link ALL
                  COMMAND ${CMAKE_COMMAND} -E create_symlink ${KDE_INSTALL_FULL_BINDIR}/systemsettings5 ${CMAKE_CURRENT_BINARY_DIR}/kinfocenter)

install( FILES ${CMAKE_CURRENT_BINARY_DIR}/kinfocenter DESTINATION ${KDE_INSTALL_FULL_BINDIR}/ )

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== Modules/cpu/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>

find_package(lscpu)
set_package_properties(lscpu PROPERTIES TYPE RUNTIME)

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_cpu\")

add_library(kcm_cpu MODULE main.cpp)
target_link_libraries(kcm_cpu KF5::CoreAddons KF5::QuickAddons KF5::I18n KInfoCenterInternal)

install(TARGETS kcm_cpu DESTINATION ${PLUGIN_INSTALL_DIR}/plasma/kcms/kinfocenter)

kpackage_install_package(package kcm_cpu kcms)

=== Modules/devinfo/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmdevinfo\")

set( devinfoSources soldevice.cpp devinfo.cpp devicelisting.cpp infopanel.cpp soldevicetypes.cpp qvlistlayout.cpp solidhelper.cpp)

kcoreaddons_add_plugin(kcm_devinfo SOURCES ${devinfoSources} INSTALL_NAMESPACE "plasma/kcms/kinfocenter")
target_link_libraries(kcm_devinfo
    KF5::KCMUtils
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::Solid
)

=== Modules/glx/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>

find_package(glxinfo)
set_package_properties(glxinfo PROPERTIES TYPE RUNTIME)

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_glx\")

add_library(kcm_glx MODULE main.cpp)
target_link_libraries(kcm_glx KF5::CoreAddons KF5::QuickAddons KF5::I18n KInfoCenterInternal)

install(TARGETS kcm_glx DESTINATION ${PLUGIN_INSTALL_DIR}/plasma/kcms/kinfocenter)

kpackage_install_package(package kcm_glx kcms)

=== Modules/nics/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmnic\")

include(CheckStructHasMember)

# sa_len is only available on freebsd, not linux.
check_struct_has_member("struct sockaddr" "sa_len" "sys/socket.h" HAVE_STRUCT_SOCKADDR_SA_LEN) # networkmodel.cpp

configure_file(config-nic.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-nic.h)

########### next target ###############
set(kcm_nic_PART_SRCS
    nic.cpp
    networkmodel.cpp)

kcoreaddons_add_plugin(kcm_nic SOURCES ${kcm_nic_PART_SRCS} INSTALL_NAMESPACE "plasma/kcms/kinfocenter")

target_link_libraries(kcm_nic
    KF5::I18n
    KF5::CoreAddons
    KF5::KCMUtils
    KF5::QuickAddons)

target_compile_features(kcm_nic PUBLIC cxx_std_14)

kpackage_install_package(package kcm_nic kcms)

=== Modules/pci/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>

find_package(lspci)
set_package_properties(lspci PROPERTIES TYPE RUNTIME)

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_pci\")

add_library(kcm_pci MODULE main.cpp)
target_link_libraries(kcm_pci KF5::CoreAddons KF5::QuickAddons KF5::I18n KInfoCenterInternal)

install(TARGETS kcm_pci DESTINATION ${PLUGIN_INSTALL_DIR}/plasma/kcms/kinfocenter)

kpackage_install_package(package kcm_pci kcms)

=== Modules/samba/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmsamba\")

set(kcm_samba_PART_SRCS
    smbmountmodel.cpp
    ksambasharemodel.cpp
    smbmountmodel.h
    ksambasharemodel.h
)

qt_add_dbus_interface(kcm_samba_PART_SRCS org.freedesktop.Avahi.Server.xml org.freedesktop.Avahi.Server)

# Intermediate lib for use in testing.
add_library(kcm_samba_static STATIC ${kcm_samba_PART_SRCS})
target_link_libraries(kcm_samba_static
    KF5::KIOCore
    KF5::Solid
    KF5::I18n
    KF5::KCMUtils
    KF5::KIOWidgets
)

set(kcm_samba_SRCS main.cpp)
qt_add_dbus_interface(kcm_samba_SRCS org.freedesktop.DBus.Properties.xml org.freedesktop.DBus.Properties)
kcoreaddons_add_plugin(kcm_samba SOURCES ${kcm_samba_SRCS} INSTALL_NAMESPACE "plasma/kcms/kinfocenter")
target_link_libraries(kcm_samba
    KF5::QuickAddons
    kcm_samba_static
)

kpackage_install_package(package kcmsamba kcms) # NB: the target name follows the kaboutdata name which in turn follows the i18n domain name

add_subdirectory(autotests)

=== Modules/vulkan/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>

find_package(vulkaninfo)
set_package_properties(vulkaninfo PROPERTIES TYPE RUNTIME)

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_vulkan\")

add_library(kcm_vulkan MODULE main.cpp)
target_link_libraries(kcm_vulkan KF5::CoreAddons KF5::QuickAddons KF5::I18n KInfoCenterInternal)

install(TARGETS kcm_vulkan DESTINATION ${PLUGIN_INSTALL_DIR}/plasma/kcms/kinfocenter)

kpackage_install_package(package kcm_vulkan kcms)

=== Modules/xserver/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>

find_package(xdpyinfo)
set_package_properties(xdpyinfo PROPERTIES TYPE RUNTIME)

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_xserver\")

add_library(kcm_xserver MODULE main.cpp)
target_link_libraries(kcm_xserver KF5::CoreAddons KF5::QuickAddons KF5::I18n KInfoCenterInternal)

install(TARGETS kcm_xserver DESTINATION ${PLUGIN_INSTALL_DIR}/plasma/kcms/kinfocenter)

kpackage_install_package(package kcm_xserver kcms)

=== Modules/about-distro/src/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/Version.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(kcm_SRCS
    CPUEntry.cpp
    CPUEntry.h
    Entry.cpp
    Entry.h
    FancyString.cpp
    FancyString.h
    GPUEntry.cpp
    GPUEntry.h
    GraphicsPlatformEntry.cpp
    GraphicsPlatformEntry.h
    KernelEntry.cpp
    KernelEntry.h
    main.cpp
    MemoryEntry.cpp
    MemoryEntry.h
    PlasmaEntry.cpp
    PlasmaEntry.h
    ServiceRunner.cpp
)

kcoreaddons_add_plugin(kcm_about-distro SOURCES ${kcm_SRCS} INSTALL_NAMESPACE "plasma/kcms")

target_link_libraries(kcm_about-distro
    KF5::CoreAddons
    KF5::I18n
    KF5::ConfigCore
    KF5::QuickAddons
    KF5::Solid
    KF5::Service
    KF5::KIOGui)

kpackage_install_package(package kcm_about-distro kcms)

=== Modules/samba/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2020 Harald Sitter <sitter@kde.org>

if(NOT BUILD_TESTING)
    return()
endif()

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

find_package(Qt5Test ${QT_MIN_VERSION} CONFIG REQUIRED)

include(ECMAddTests)

ecm_add_tests(
    ksambasharemodeltest.cpp
    smbmountmodeltest.cpp
    LINK_LIBRARIES
        Qt::Core
        Qt::Test
        kcm_samba_static
)

=== debian/changelog ===
kinfocenter (4:5.24.4-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (5.24.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Mar 2022 10:19:52 +0100

kinfocenter (4:5.24.3-0ubuntu1) jammy; urgency=medium

  * Update maintainer to Kubuntu Developers.
  * New upstream release (5.24.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Mar 2022 12:14:25 +0000

kinfocenter (4:5.24.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Feb 2022 15:01:21 +0000

kinfocenter (4:5.24.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Feb 2022 14:20:55 +0000

kinfocenter (4:5.24.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Feb 2022 21:27:01 +0000

kinfocenter (4:5.23.90-0ubuntu2) jammy; urgency=medium

  * Also Recommend meta-utils-extra and vulkan-tools

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Jan 2022 23:24:44 +0000

kinfocenter (4:5.23.90-0ubuntu1) jammy; urgency=medium

  * New upstream beta release (5.23.90)
  * Update lintian overrides.
  * Recommend mesa-utils.

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Jan 2022 10:18:27 +0000

kinfocenter (4:5.23.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Jan 2022 10:40:17 +0000

kinfocenter (4:5.23.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Nov 2021 21:56:21 +0000

kinfocenter (4:5.23.3-1ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Nov 2021 17:17:37 +0000

kinfocenter (4:5.23.3-1ubuntu1) jammy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Build depend on libusb-1.0-0-dev for USB device support.

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Nov 2021 08:23:21 +0000

kinfocenter (4:5.23.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Nov 2021 08:38:16 +0900

kinfocenter (4:5.23.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 10 Nov 2021 11:17:30 +0000

kinfocenter (4:5.23.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.

  [ Norbert Preining ]
  * New upstream release (5.23.1).
  * New upstream release (5.23.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Nov 2021 22:21:02 +0900

kinfocenter (4:5.23.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.1)
  * New upstream release (5.23.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Nov 2021 07:49:49 +0000

kinfocenter (4:5.23.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.0).
  * Drop outdated rm calls in debian/rules.

 -- Norbert Preining <norbert@preining.info>  Thu, 14 Oct 2021 20:13:14 +0900

kinfocenter (4:5.23.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.0)
  * Update build deps from cmake.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Oct 2021 17:51:44 +0100

kinfocenter (4:5.21.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Release to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Aug 2021 03:23:34 +0200

kinfocenter (4:5.21.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.5).

 -- Patrick Franz <patfra71@gmail.com>  Fri, 07 May 2021 13:54:15 +0200

kinfocenter (4:5.21.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.4).

 -- Patrick Franz <patfra71@gmail.com>  Tue, 06 Apr 2021 17:46:39 +0200

kinfocenter (4:5.21.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Mar 2021 05:49:41 +0900

kinfocenter (4:5.21.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Mar 2021 05:33:49 +0900

kinfocenter (4:5.21.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.1).

 -- Norbert Preining <norbert@preining.info>  Wed, 24 Feb 2021 14:36:39 +0900

kinfocenter (4:5.21.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.0).

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Feb 2021 05:42:26 +0900

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,3 @@
 %:
 	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp
 
-override_dh_install:
-	find debian/kinfocenter/usr/share -type d -empty -delete
-	dh_install

## kinfocenter 5.24.7

=== Modules/CMakeLists.txt ===

add_subdirectory( about-distro )
add_subdirectory( devinfo )
add_subdirectory(vulkan)
add_subdirectory(cpu)
add_subdirectory(wayland)
add_subdirectory(interrupts)
add_subdirectory(xserver)
add_subdirectory(egl)
add_subdirectory(glx)
add_subdirectory(pci)

add_subdirectory( samba )
add_subdirectory( nics )

find_package(USB1 MODULE)
set_package_properties(USB1 PROPERTIES DESCRIPTION "library that provides generic access to USB devicess"
                       URL "https://libusb.info/"
                       TYPE OPTIONAL
                       PURPOSE "View USB devices in kinfocenter"
                      )

if(USB1_FOUND)
   add_subdirectory( usbview )
endif()

if (CMAKE_SYSTEM_NAME MATCHES Linux)
    add_subdirectory(energy)
endif()

=== Modules/energy/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_energyinfo\")

set(kcm_energyinfo_SRCS
    batterymodel.cpp
    batterymodel.h
    kcm.cpp
    kcm.h
    statisticsprovider.cpp
    statisticsprovider.h
    wakeupmodel.cpp
    wakeupmodel.h
)

kcoreaddons_add_plugin(kcm_energyinfo SOURCES ${kcm_energyinfo_SRCS} INSTALL_NAMESPACE "plasma/kcms")

target_link_libraries(kcm_energyinfo
  Qt::DBus
  Qt::Widgets
  KF5::KIOWidgets
  KF5::CoreAddons
  KF5::KCMUtils
  KF5::I18n
  KF5::Solid
  KF5::QuickAddons
)

kpackage_install_package(package kcm_energyinfo kcms)

=== Modules/interrupts/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_interrupts\")

kcoreaddons_add_plugin(kcm_interrupts SOURCES main.cpp INSTALL_NAMESPACE "plasma/kcms/kinfocenter")
target_link_libraries(kcm_interrupts KF5::CoreAddons KF5::QuickAddons KF5::I18n KInfoCenterInternal)

kpackage_install_package(package kcm_interrupts kcms)

=== debian/changelog ===
kinfocenter (4:5.24.7-0ubuntu0.1) jammy; urgency=medium

  * New upstream bugfix release (5.24.7) (LP: #1992971)

 -- Rik Mills <rikmills@kde.org>  Mon, 17 Oct 2022 14:49:04 +0100

kinfocenter (4:5.24.6-0ubuntu0.1) jammy; urgency=medium

  * New upstream bugfix release (5.24.6)
  * SRU to 22.04 (LP: #1986447)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Aug 2022 09:06:10 +0100

=== debian/control ===
Source: kinfocenter
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libegl1-mesa-dev,
               libkf5completion-dev (>= 5.90.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5configwidgets-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5dbusaddons-dev (>= 5.90.0~),
               libkf5declarative-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5iconthemes-dev (>= 5.90.0~),
               libkf5kcmutils-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5package-dev (>= 5.90.0~),
               libkf5service-dev (>= 5.90.0~),
               libkf5solid-dev (>= 5.90.0~),
               libkf5wayland-dev (>= 4:5.90.0~) [linux-any],
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libkf5windowsystem-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libpci-dev,
               libraw1394-dev [linux-any],
               libusb-1.0-0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qml-module-org-kde-kirigami2,
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/kinfocenter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
Rules-Requires-Root: no

Package: kinfocenter
Architecture: any
Depends: ieee-data,
         plasma-workspace (>= 4:5.14),
         qml-module-org-kde-kirigami2,
         usb.ids,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: mesa-utils, mesa-utils-extra, vulkan-tools
Suggests: samba
Description: system information viewer
 The kinfocenter provides you with a centralized and convenient
 overview of your system and desktop environment.
 .
 The information center is made up of multiple modules.  Each module is a
 separate application, but the information center organizes all of these
 programs into a convenient location.

## kinfocenter 5.25.5

=== debian/changelog ===
kinfocenter (4:5.25.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Sep 2022 15:31:58 +0100

kinfocenter (4:5.25.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Recommend aha, mesa-utils, mesa-utils-extra, vulkan-tools

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Aug 2022 00:41:22 +0100

kinfocenter (4:5.25.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Aug 2022 17:30:29 +0200

kinfocenter (4:5.25.4-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Aug 2022 17:58:57 +0100

kinfocenter (4:5.25.3-2) unstable; urgency=medium

  * Team upload.
  * Suggest aha, needed by the firmware module.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Drop unused build dependencies: libkf5completion-dev, libkf5crash-dev,
    libkf5dbusaddons-dev, libkf5windowsystem-dev, libkf5xmlgui-dev, libpci-dev,
    and libraw1394-dev.
  * Drop the ieee-data dependency, as oui.txt is no more read.
  * Recommend dmidecode, only on architectures on which it exists, for reading
    the machine serial number.
  * Recommend pciutils, to show the available PCI devices by default.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 31 Jul 2022 08:08:02 +0200

kinfocenter (4:5.25.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.2).
  * Refresh lintian overrides.
  * New upstream release (5.25.3).
  * Release to unstable

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Jul 2022 15:26:10 +0200

kinfocenter (4:5.25.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 14:43:33 +0100

kinfocenter (4:5.25.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jun 2022 14:16:34 +0100

kinfocenter (4:5.25.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.25.1).

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 21:46:18 +0200

kinfocenter (4:5.25.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 21 Jun 2022 16:26:54 +0100

kinfocenter (4:5.25.0-1) experimental; urgency=medium

  * New upstream release (5.25.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jun 2022 21:26:03 +0200

kinfocenter (4:5.25.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jun 2022 08:05:30 +0100

kinfocenter (4:5.24.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.90).
  * Add lintian overrides for internal library libKInfoCenterInternal.so.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 11:25:21 +0200

kinfocenter (4:5.24.90-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.90)
  * Add aha to runtime depends.

 -- Rik Mills <rikmills@kde.org>  Thu, 19 May 2022 18:40:01 +0100

kinfocenter (4:5.24.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 May 2022 21:39:03 +0200

kinfocenter (4:5.24.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 May 2022 15:48:06 +0100

kinfocenter (4:5.24.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Mar 2022 13:43:41 +0200

kinfocenter (4:5.24.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 07:44:39 +0100

kinfocenter (4:5.24.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.24.2).
  * Update B-Ds and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Feb 2022 21:58:30 +0100

kinfocenter (4:5.23.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.23.5).

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Jan 2022 15:43:33 +0100

kinfocenter (4:5.23.4-2) unstable; urgency=medium

  * Team upload.
  * Add the libusb-1.0-0-dev build dependency to enable the USB devices module.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Remove the now unused DEB_HOST_ARCH_OS variable in rules.
  * Trim trailing whitespace.
  * Re-export upstream signing key without extra signatures.
  * Suggest vulkan-tools, as it can be used to show Vulkan information.

 -- Pino Toscano <pino@debian.org>  Wed, 08 Dec 2021 07:20:09 +0100

kinfocenter (4:5.23.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.4).

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 22:25:19 +0100

=== debian/control ===
Source: kinfocenter
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.90~),
               gettext,
               libegl1-mesa-dev,
               libkf5config-dev (>= 5.90~),
               libkf5configwidgets-dev (>= 5.90~),
               libkf5coreaddons-dev (>= 5.90~),
               libkf5declarative-dev (>= 5.90~),
               libkf5doctools-dev (>= 5.90~),
               libkf5i18n-dev (>= 5.90~),
               libkf5kcmutils-dev (>= 5.90~),
               libkf5kio-dev (>= 5.90~),
               libkf5package-dev (>= 5.90~),
               libkf5service-dev (>= 5.90~),
               libkf5solid-dev (>= 5.90~),
               libkf5widgetsaddons-dev (>= 5.90~),
               libusb-1.0-0-dev,
               pkg-config,
               qml-module-org-kde-kirigami2,
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma/kinfocenter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
Rules-Requires-Root: no

Package: kinfocenter
Architecture: any
Depends: plasma-workspace (>= 4:5.14),
         qml-module-org-kde-kirigami2,
         usb.ids,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: dmidecode, pciutils, aha, mesa-utils, mesa-utils-extra, vulkan-tools
Suggests: samba
Description: system information viewer
 The kinfocenter provides you with a centralized and convenient
 overview of your system and desktop environment.
 .
 The information center is made up of multiple modules.  Each module is a
 separate application, but the information center organizes all of these
 programs into a convenient location.
